# XMLPDOResultFormatter

Extends \PDOResultFormatter

XML formatter for PDO results.

This class reprsents the output of a query using a simple XML schema.

<results> <row> value value2 </row> <row> value value2 </row> </results>

The actual names of the colums will depend on the fetchmode that was used with PDO.

author | Hans Lellelid hans@xmpl.org
package | phing.tasks.ext.pdo
since | 2.3.0

### Methods

## Perform any final tasks and Close the writer.

    close()

inherited

## Gets the output writer.

    getOutput() : \Writer

inherited

### Response

`\Writer`

## Gets the preferred output filename for this formatter.

    getPreferredOutfile() : string

inherited abstract

### Response

`string`

## Perform any initialization.

    initialize()

inherited

## Processes a specific row from PDO result set.

    processRow(array $row)

inherited abstract

### Arguments

#### $row

`array`

Row of PDO result set.

## Set the DOM document encoding.

    setEncoding(string $v)

### Arguments

#### $v

`string`

## setFormatOutput

    setFormatOutput(boolean $v)

### Arguments

#### $v

`boolean`

## Sets the output writer.

    setOutput(\Writer $out)

inherited

### Arguments

#### $out

`\Writer`

### Properties

## The XML document being created.

    doc : \DOMDocument

var |

### Type(s)

`\DOMDocument`

## rootNode

    rootNode : \DOMElement

var |

### Type(s)

`\DOMElement`

## XML document encoding

    encoding : string

var |

### Type(s)

`string`

## formatOutput

    formatOutput : boolean

var |

### Type(s)

`boolean`

## Output writer.

    out : \Writer

inherited

var |

### Type(s)

`\Writer`